Bug 1176845 - SELinux is preventing cannaserver from 'search' accesses on the directory /var/lib/sss.
Summary: SELinux is preventing cannaserver from 'search' accesses on the directory /va...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7e8fd1b77bed95f082868fdeb2c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-23 13:36 UTC by ItSANgo
Modified: 2015-01-30 23:55 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-105.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-30 23:55:07 UTC
Type: ---


Attachments (Terms of Use)

Description ItSANgo 2014-12-23 13:36:10 UTC
Description of problem:
1) sudo dnf install Canna
2) sudo systemctl start canna.service
   (canna started)
3) sudo cannakill
SELinux is preventing cannaserver from 'search' accesses on the directory /var/lib/sss.

*****  Plugin catchall (100. confidence) suggests   **************************

If cannaserver に、 sss directory の search アクセスがデフォルトで許可されるべきです。   
Then バグとして報告してください。 
ローカルのポリシーモジュールを生成すると、
 このアクセスを許可することができます。
Do
このアクセスを一時的に許可するには、以下を実行してください。
# grep cannaserver /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:canna_t:s0
Target Context                system_u:object_r:sssd_var_lib_t:s0
Target Objects                /var/lib/sss [ dir ]
Source                        cannaserver
Source Path                   cannaserver
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           sssd-common-1.12.2-4.fc21.x86_64
Policy RPM                    selinux-policy-3.13.1-103.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.17.7-300.fc21.x86_64 #1 SMP Wed
                              Dec 17 03:08:44 UTC 2014 x86_64 x86_64
Alert Count                   2
First Seen                    2014-12-23 22:22:32 JST
Last Seen                     2014-12-23 22:22:32 JST
Local ID                      a06a08c2-86fb-49b2-8bac-b74daa2cbd17

Raw Audit Messages
type=AVC msg=audit(1419340952.361:534): avc:  denied  { search } for  pid=3395 comm="cannaserver" name="sss" dev="dm-0" ino=1711662 scontext=system_u:system_r:canna_t:s0 tcontext=system_u:object_r:sssd_var_lib_t:s0 tclass=dir permissive=0


Hash: cannaserver,canna_t,sssd_var_lib_t,dir,search

Version-Release number of selected component:
selinux-policy-3.13.1-103.fc21.noarch

Additional info:
reporter:       libreport-2.3.0
hashmarkername: setroubleshoot
kernel:         3.17.7-300.fc21.x86_64
type:           libreport

Comment 1 Daniel Walsh 2014-12-23 19:16:15 UTC
0e04862307f792862bf78790cbddde62741c4848 fixes this in git.

Comment 2 Lukas Vrabec 2015-01-15 14:39:03 UTC
commit 37649a409cf3d85a7a9e03eb16ac7faf1ca3de5b
Author: Dan Walsh <dwalsh@redhat.com>
Date:   Tue Dec 23 14:15:36 2014 -0500

    Allow canna go call getpw*

Comment 3 Fedora Update System 2015-01-27 16:49:43 UTC
selinux-policy-3.13.1-105.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-105.fc21

Comment 4 Fedora Update System 2015-01-30 04:32:38 UTC
Package selinux-policy-3.13.1-105.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-105.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1337/selinux-policy-3.13.1-105.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-01-30 23:55:07 UTC
selinux-policy-3.13.1-105.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.